/*
Theme Name: Primecare Child
Template:   primecare
Theme URI: https://1.envato.market/6e2Kmb
Description: Primecare Child Theme
Author: Awaiken
Author URI: https://awaikenthemes.com/
Version: 1.0.0
Text Domain: primecare-child
*/

:root {
    --blur-lg: 16px;
    --blur-2xl: 40px;

    --color-white: #fff;
    --color-primary: #00A0CC;
}

#bottom-map {
    overflow: hidden;
}

.contact-form .form-btn .wpcf7-form-control.btn-hide-icon{
    background-image: none;
}

/* HEADER */
.layout-3 .elementor-widget-button.header-call-btn .elementor-button .elementor-button-icon,
.layout-3 .elementor-widget-button.header-chat-btn .elementor-button .elementor-button-icon {
    font-size: 18px !important;
}

@media screen and (max-width: 567px) {
    .layout-3 .elementor-widget-button.header-call-btn .elementor-button .elementor-button-icon,
    .layout-3 .elementor-widget-button.header-chat-btn .elementor-button .elementor-button-icon {
        font-size: 16px !important;
    }
}

@media screen and (max-width: 567px) {
    .about-experience{
        top: 10px;
        left: -10px;
    }
}


figure.swiper-slide-inner {
    position: relative;
    overflow: hidden;
}

figure.swiper-slide-inner:after {
    content: "";
    position: absolute;
    width: 200%;
    height: 0%;
    left: 50%;
    top: 50%;
    background-color: rgba(255, 255, 255, 0.3);
    transform: translate(-50%, -50%) rotate(-45deg);
    z-index: 1;
}

figure.swiper-slide-inner:hover:after {
    height: 250%;
    transition: all 600ms linear;
    background-color: transparent;
}

.layout-3 .elementor-widget-button .elementor-button::after {
    border-radius: 16px;
}

.layout-3 .section-title .elementor-heading-title::before{
	background: url("assets/images/v3-icon-sub-heading_blue2.svg") no-repeat;    
}

/* export-dantist-box */

.action-container,
.backdrop-blur-2xl > .elementor-widget-container {
    --tw-backdrop-blur: blur(var(--blur-2xl));

    background-color: color-mix(in oklab, var(--color-white) 10%, transparent) !important;

    -webkit-backdrop-filter: var(--tw-backdrop-blur,) var(--tw-backdrop-brightness,) var(--tw-backdrop-contrast,)
        var(--tw-backdrop-grayscale,) var(--tw-backdrop-hue-rotate,) var(--tw-backdrop-invert,)
        var(--tw-backdrop-opacity,) var(--tw-backdrop-saturate,) var(--tw-backdrop-sepia,);
    backdrop-filter: var(--tw-backdrop-blur,) var(--tw-backdrop-brightness,) var(--tw-backdrop-contrast,)
        var(--tw-backdrop-grayscale,) var(--tw-backdrop-hue-rotate,) var(--tw-backdrop-invert,)
        var(--tw-backdrop-opacity,) var(--tw-backdrop-saturate,) var(--tw-backdrop-sepia,);
}

/* Banner */
.info-block-main .elementskit-infobox .box-body p{
    font-size: 14px;
    line-height: 1.2em;
}

.hero-icon-box-1 .elementor-icon-wrapper,
.hero-icon-box-2 .elementor-icon-wrapper,
.hero-icon-box-3 .elementor-icon-wrapper{
    line-height: 0;
    display: block;
}
.hero-icon-box-1 .elementor-icon,
.hero-icon-box-2 .elementor-icon,
.hero-icon-box-3 .elementor-icon{
    line-height: 1em;
    transform: none;
}

/* FORMS */
.elementor-18
    .elementor-element.elementor-element-c8fcc68
    .ekit-form
    form
    input:not([type="submit"]):not([type="checkbox"]):not([type="radio"]),
.elementor-18 .elementor-element.elementor-element-c8fcc68 .ekit-form form select {
    border-radius: 16px;
    padding: 14px 20px;
}
.ekit-form form input[type="submit"] {
    border-radius: 16px;
    padding: 14px 55px 14px 20px;
}
.ekit-form form input[type="submit"].full-width {
    width: 100%;
}

.wpcf7 form.wpcf7-form .wpcf7-response-output {
    padding: 14px 20px !important;
    border-radius: 16px !important;
    margin-top: 20px !important;
}

.contact-form .wpcf7-form-control-wrap .wpcf7-not-valid-tip {
    padding-left: 20px;
    top: 8px;
    position: relative;
}

.ekit-form form input[type="submit"]:disabled {
    opacity: 0.5;
}

/* Общая обертка */
.wpcf7-form .form-accept {
    display: flex;
    align-items: flex-start;    
}
.wpcf7-form .form-accept.colored label span,
.wpcf7-form .form-accept.colored label span{
    font-size: 14px;
}

.layout-3 .btn-highlighted.elementor-widget-button .elementor-button::after{
    background: var(--e-global-color-primary);
}

.layout-3 .btn-highlighted .elementor-button:hover .elementor-button-icon svg rect{
    fill: #fff !important;
}
.v3-service-item .elementskit-infobox:hover .box-footer a:hover{
    color: #FFF !important;
}

.layout-3 .btn-highlighted .elementor-button:hover, 
.layout-3 .btn-highlighted .elementor-button:focus{    
    color: #FFF !important;
}

/* Контейнер label */
.wpcf7-form .form-accept label {
    color: var(--e-global-color-text);
    display: flex;
    align-items: flex-start;
    gap: 10px;
    cursor: pointer;
}

.wpcf7-form .form-accept.colored label span{
    color: #fff;    
}
.action-icon .elementor-icon{
    box-shadow: 0px 0px 20px 0px rgba(0, 160, 204, 0.2);
}

/* Скрываем стандартный чекбокс */
.wpcf7-form .form-accept input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    min-width: 20px;
    min-height: 20px;
    /* border: 1px solid #e7e7e7; */
    border: 1px solid var(--color-primary);
    border-radius: 4px;
    position: relative;
    cursor: pointer;
    transition: all 0.2s ease;
    padding: 0px;
    top: 4px;
}
.wpcf7-form .form-accept.colored input[type="checkbox"] {
    border: 1px solid #fff;
    top: 0;
}

/* Цвет квадрата при наведении */
.wpcf7-form .form-accept input[type="checkbox"]:hover {
    border-color: var(--e-global-color-accent);
}
.wpcf7-form .form-accept.colored input[type="checkbox"]:hover {
    border-color: #fff;
}

/* Включённое состояние */
.wpcf7-form .form-accept input[type="checkbox"]:checked {
    background-color: var(--e-global-color-accent); /* Цвет заливки */
    border-color: var(--e-global-color-accent);
}
.wpcf7-form .form-accept.colored input[type="checkbox"]:checked {
    background-color: #fff; /* Цвет заливки */
    border-color: #fff;
}

/* Галочка */
.wpcf7-form .form-accept input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    top: 3px;
    left: 6px;
    width: 5px;
    height: 10px;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(45deg);
}
.wpcf7-form .form-accept.colored input[type="checkbox"]:checked::after {
    border-right: 2px solid var(--e-global-color-accent);
    border-bottom: 2px solid var(--e-global-color-accent);
}
/* Текст справа */
.wpcf7-form .form-accept .wpcf7-list-item-label {
    display: inline-block;
    line-height: 1.5;
    margin-top: 1px;
}

/* Ссылка внутри текста */
.wpcf7-form .form-accept .wpcf7-list-item-label a {
    color: var(--e-global-color-accent);
    text-decoration: underline;
    transition: all 0.2s ease;
}
.wpcf7-form .form-accept.colored .wpcf7-list-item-label a {
    color: #fff;
}

/* Эффект наведения на ссылку */
.wpcf7-form .form-accept .wpcf7-list-item-label a:hover {
    opacity: 0.8;
}

.contact-form .form-btn .wpcf7-form-control {
    background-image: url("assets/images/v3-form-icon_blue2.svg");
}


/* cookie */
.cookie-popup {
    box-shadow: 0 -3px 10px -5px rgba(0, 0, 0, 0.3);

    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    padding: 15px;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;

    background-color: #fff;
    max-width: 500px;

    text-align: center;
    font-size: 14px;
    line-height: 1.5em;

    position: fixed;
    margin: 0 auto;
    box-sizing: border-box;
}

.cookie-popup p {
    color: var(--e-global-color-primary);
    margin-bottom: 0;  
    text-align: center;  
}
.cookie-popup a {
    text-decoration: underline;
}
.cookie-popup .btn {    
    font-size: 12px !important;
    padding: 10px 15px !important;
}


/* TEAM VIDEO */
.video-popup .dialog-message{
    border-radius: 8px;
    box-shadow: 2px 8px 23px 3px rgba(0, 0, 0, 0.2);
}
.video-popup .dialog-close-button{
    border-radius: 12px;
    padding: 4px;
}
.team-play-btn{
  position: absolute;
  top: 12px;
  right: 12px;
  width: 40px;
  height: 40px;
  border-radius: 999px;
  background: #00BDE8; /* #00A0CC */
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  z-index: 1;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

.team-play-btn__icon{
  display: inline-flex;
  color: #fff; /* цвет треугольника */
  transform: translateX(1px); /* лёгкий сдвиг вправо как у play */
}

.team-play-btn__pulse{
  position: absolute;
  inset: -6px;              /* кольцо чуть больше кнопки */
  border-radius: inherit;
  border: 2px solid rgba(0, 190, 232, 0.61);
  animation: teamPlayPulse 1.6s ease-out infinite;
  pointer-events: none;
}

@keyframes teamPlayPulse{
  0%{
    transform: scale(0.85);
    opacity: 0.85;
  }
  70%{
    transform: scale(1.35);
    opacity: 0;
  }
  100%{
    transform: scale(1.35);
    opacity: 0;
  }
}

/* опционально: чуть “поднять” при наведении */
.team-play-btn:hover{
  transform: translateY(-1px);
}

.btn-pulse{
    position: relative;
}

/* .btn-pulse a{
    position: relative;
    z-index: 2;
} */

/* кольцо пульсации */
/* .btn-pulse::before{
    content: "";
    position: absolute;
    inset: -10px;
    border-radius: 50%;
    border: 4px solid rgba(0,190,232,0.7);
    animation: btnPulse 1.6s ease-out infinite;
    pointer-events: none;
} */

/* @keyframes btnPulse{
    0%{
        transform: scale(0.85);
        opacity: 0.9;
    }
    70%{
        transform: scale(1.4);
        opacity: 0;
    }
    100%{
        transform: scale(1.4);
        opacity: 0;
    }
} */
.btn-pulse .elementor-button-wrapper {
    position: relative;
    z-index: 10;
}
.btn-pulse .elementor-button-wrapper a{
    z-index: 20;
}
.btn-pulse .elementor-button-wrapper:not(:hover)::before,
.btn-pulse .elementor-button-wrapper:not(:hover)::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 5;
    border-radius: inherit;    
    background: rgba(0,190,232,0.7);
    -webkit-animation: btn_pulse 1.6s infinite;
    animation: btn_pulse 1.6s ease-out infinite;
    pointer-events: none;
    border-radius: 16px;
}
.btn-pulse .elementor-button-wrapper:not(:hover)::after {
    -webkit-animation-delay: 500ms;
    animation-delay: 500ms;
}

@-webkit-keyframes btn_pulse {
    0%{
        transform: scale(1);
        opacity: 0.85;
    }
    95%{
        transform: scale(1.15, 1.75);
        opacity: 0;
    }
    100%{
        transform: scale(1.15, 1.75);
        opacity: 0;
    }
}
@keyframes btn_pulse{
    0%{
        transform: scale(1);
        opacity: 0.85;
    }
    95%{
        transform: scale(1.15, 1.75);
        opacity: 0;
    }
    100%{
        transform: scale(1.15, 1.75);
        opacity: 0;
    }
}

/* Кнопки */
.btn-white .elementor-button .elementor-button-icon svg{
    color: #00A0CC;
}
.btn-white .elementor-button{
    color: var(--color-primary);
}
.btn-no-rotate .elementor-button:hover .elementor-button-icon svg{
    transform: none;
    color: #FFFFFF;
}